> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List catalogs

> Returns the product catalogs in the organization.

 Only one product catalog is supported per organization.



## OpenAPI

````yaml /api/product-directory/openapi.json get /v1/catalogs
openapi: 3.0.0
info:
  title: Product Directory API
  description: >-
    A service for uploading and managing a product catalog for use by an AI
    agent.
  version: 1.0.0
servers:
  - url: https://api.text.com/product-directory
    description: Main production server URL
security:
  - PersonalAccessToken: []
paths:
  /v1/catalogs:
    get:
      tags:
        - Catalog
      summary: List catalogs
      description: |-
        Returns the product catalogs in the organization.

         Only one product catalog is supported per organization.
      operationId: list-catalogs
      responses:
        '200':
          description: >-
            The organization's product catalogs. Returns an empty array if there
            are none.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Catalog'
              example:
                - id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        '401':
          description: Missing or invalid token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  type: authentication
                  message: No Authorization header.
components:
  schemas:
    Catalog:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
          description: >-
            Catalog identifier. Use this value as `catalog_id` in other
            endpoints.
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - type
            - message
          properties:
            type:
              type: string
              description: The error category.
            message:
              type: string
              description: A message describing the error.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic

````